%define upstream_name    Catalyst-Plugin-HTML-Widget
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	HTML Widget And Validation Framework
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Catalyst) >= 5.500.0
BuildRequires:	perl(HTML::Widget)
BuildRequires:	perl(inc::Module::Install)

BuildArch:	noarch


%description
HTML Widget And Validation Framework

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-10.mga8
+ Revision: 1503531
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.100.0-9.mga7
+ Revision: 1282224
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.100.0-8.mga7
+ Revision: 1167881
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1023328
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 932563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 750790
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 509771
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 364041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 42889
- mageia rebuild
- imported package perl-Catalyst-Plugin-HTML-Widget

